Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Tabs component is a simple user interface (tabs UI) for organizing related content and occupying a compact space. The tabs are aligned horizontally, and each tab is associated with its header. One of the tabs must always be selected and visible. The Tabs component has a rich set of features such as animation, orientation, templating, header styles, a close button for each tab, a scrollbar or pop-up when there are many tabs, JSON support, and more.


Scrollable tabs

The React Tabs component manages additional tabs efficiently using scrollable tabs when there are a greater number of tabs than can be shown. This simplifies the design and aligns the tabs in a single line. Users can swipe left or right over the tab header area to scroll and make clearly visible the out-of-sight tabs in mobile.


Pop-up mode

The pop-up mode is another type of overflow mode in which a pop-up holds the additional tabs when there are a greater number of tabs than can be shown. You can view the out-of-sight tabs by exploring the pop-up mode.


Nested tabs

Users can nest one tab within another tab to design a complex layout.


Drag and drop

The React Tabs control allows users to drag and drop tabs to easily re-prioritize the tab item order. Also, it allows adding tabs dynamically from an external source such as a ListView, TreeView, etc.

React Draggable Tabs


Tabs headers (label)

The React Tabs or Tab bar has a good visual representation for segregating active tabs and inactive tabs. It has an enormous interaction area for navigation in mobile tab view. The tab headers can be icons, plain text, or both. The position of the icons can also be changed to the left, right, top, and bottom inside tab headers.

Headers placement

A row of tabs can be aligned horizontally on the top or bottom of tab content to make a top-to-bottom or bottom-to-top hierarchy in a tab bar.

Header styles

The React Tabs component provides various built-in styles to customize the headers easily.


Remove button on tabs

Users can configure the Remove button for each tab or specific tabs to remove it dynamically.


Animation

Navigate among tabs with nice, built-in animation effects (for example: slide animation) when you click or tap a tab. The React simple tabs navigation happens on swiping within the content or tapping a tab header in a mobile tab view.

Best React Tabs View with slide animation


Dynamic tabs content

Users can dynamically load the content to the tab pane on activating it. They can also load the content from external pages using the AJAX library.

Adjustable height

Users can adjust a tab’s height automatically according to its content, parent container, or the height of the highest tab panel.


Easy integration

It’s easy to integrate other React components as content of the tab’s pane. The React Tabs component can also be integrated with other components such as Dialog and Card.


Wizard-like application

The easy-to-use React Tabs component design forms wizard-like applications that are used to perform multi step processes.


Themes

The React Tabs component has several built-in themes such as Material, Bootstrap, Fabric (Office 365), Tailwind CSS, and High Contrast. They help to design material tabs, bootstrap tabs, etc. The users can customize any one of these built-in themes or create new themes to achieve their own desired look and feel, either by simply overriding SASS variables or using our Theme Studio application.


Other supported frameworks

The Tabs component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Tabs platforms from the links below,


Accessibility

  • Full support for WAI-ARIA accessibility that helps the Tab component to be accessible by on-screen readers and assistive devices. 
  • Component follows WAI-ARIA Best Practices for implementing keyboard interaction. 
  • UI element visuals such as foreground color, background color, line spacing, text, and images are based on WCG 2.0 standard.

Developer-friendly API

Developers can control the appearance and behavior of the Tabs component using a rich set of APIs, such as those for adding a new tab or removing a tab.


React Tab Code Example

Easily get started with the React Tabs Component using a few simple lines of TSX code example as demonstrated below. Also explore our React Tabs Example that shows you how to render and configure a Tab Component in React.

import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  let headerText: any = [{ text: "Twitter" }, { text: "Facebook" }, { text: "WhatsApp" }];

  const tabContent1 = () => {
    return (
        <div>
          Twitter
        </div>
      )
  }
  const tabContent2 = () => {
    return (
        <div>
          Facebook
        </div>
      )
  }
  const tabContent3 = () => {
    return (
        <div>
          WhatsApp Messenger
        </div>
      )
  }
  return (
    <TabComponent>
      <TabItemsDirective>
        <TabItemDirective header={headerText[0]} content={tabContent1} />
        <TabItemDirective header={headerText[1]} content={tabContent2} />
        <TabItemDirective header={headerText[2]} content={tabContent3} />
      </TabItemsDirective>
    </TabComponent>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);



90+ REACT UI COMPONENTS

Frequently Asked Questions

  • Provides a simple user interface (UI) to segregate related content in less space.
  • Supports both scrollable and pop-up tabs when there are a greater number of tabs.
  • Provides customization support for header with icons and orientation.
  • Supports animation effects for moving previous/next contents of Tab.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • One of the best React Tabs in the market that offers feature-rich UI to interact with the software.
  • Extensive demos and documentation to learn quickly and get started with React Tabs.

We do not sell the React Tabs separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Tabs. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Tabs demo here.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Tabs, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Tabs component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

Angular Tabs or Tab Panel component is a simple user interface (tabs UI) for organizing related content and occupying a compact space. The tabs are aligned horizontally, and each tab is associated with its header. One of the tabs must always be selected and visible. The Tabs component has a rich set of features such as animation, orientation, templating, header styles, a close button for each tab, a scrollbar or pop-up when there are many tabs, JSON support, and more.


Scrollable tabs

The Angular Tabs component manages additional tabs efficiently using scrollable tabs when there are a greater number of tabs than can be shown. This simplifies the design and aligns the tabs in a single line. Users can swipe left or right over the tab header area to scroll and make clearly visible the out-of-sight tabs in mobile.


Pop-up mode

The pop-up mode is another type of overflow mode in which a pop-up holds the additional tabs when there are a greater number of tabs than can be shown. You can view the out-of-sight tabs by exploring the pop-up mode.


Nested Tabs in Angular

Nested tabs

Users can nest one tab within another tab to design a complex layout.


Drag and drop

The Angular Tabs control allows users to drag and drop tabs to easily re-prioritize the tab item order. Also, it allows adding tabs dynamically from an external source such as a ListView, TreeView, etc.

Angular Draggable Tabs


Tabs headers (label)

The tab bar has a good visual representation for segregating active tabs and inactive tabs. It has an enormous interaction area for navigation in mobile tab view. The tab headers can be icons, plain text, or both. The position of the icons can also be changed to the left, right, top, and bottom inside tab headers.

Header styles

The Angular Tabs component provides various built-in styles to customize the headers easily.

Headers in Angular Tabs

Headers placement

A row of tabs can be aligned horizontally on the top or bottom of tab content to make a top-to-bottom or bottom-to-top hierarchy in a tab bar.


Remove button on tabs

Users can configure the Remove button for each tab or specific tabs to remove it dynamically.


Animation

Navigate among tabs with nice, built-in animation effects (for example: slide animation) when you click or tap a tab. The Angular Tab navigation happens on swiping within the content or tapping a tab header in a mobile tab view.

Angular UI Tabs with slide animation


Dynamic tabs content

Users can dynamically load the content to the tab pane on activating it. They can also load the content from external pages using the AJAX library.

Adjustable height

Users can adjust a tab’s height automatically according to its content, parent container, or the height of the highest tab panel.


Easy integration

It’s easy to integrate other Angular components as content of the tab’s pane. The Angular Tabs component can also be integrated with other components such as Dialog and Card.


Wizard-like application

The easy-to-use Angular Tabs component design forms wizard-like applications that are used to perform multi step processes.


Themes

The Angular Tabs component has several built-in themes such as Material, Bootstrap, Fabric (Office 365), Tailwind CSS, and High Contrast. They help to design material tabs, bootstrap tabs, etc. The users can customize any one of these built-in themes or create new themes to achieve their own desired look and feel, either by simply overriding SASS variables or using our Theme Studio application.


Accessibility

  • Full support for WAI-ARIA accessibility that helps the Tab component to be accessible by on-screen readers and assistive devices. 
  • Component follows WAI-ARIA Best Practices for implementing keyboard interaction. 
  • UI element visuals such as foreground color, background color, line spacing, text, and images are based on WCG 2.0 standard.

Developer-friendly API

Developers can control the appearance and behavior of the Tabs component using a rich set of APIs, such as those for adding a new tab or removing a tab.


Angular Tabs Code Example

Easily get started with the Angular Tabs using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Tabs Example that shows you how to render and configure the Tabs in Angular.

<div id="action-description">
    <p>
        This sample demonstrates the default functionalities of the <code>Tab</code>. Click on the <code>header</code>  element to activate the corresponding Tab, and displays its <code>content</code>.
    </p>
</div>
<div class="control-section e-tab-section">
    <div class="e-sample-resize-container">
        <!-- Render the Tab Component -->
        <ejs-tab id="tab_default" heightAdjustMode='Auto'>
                <e-tabitems>
                    <e-tabitem [header]='headerText[0]'>
                        <ng-template #content>
                            Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets".
                            Registered users can read and post tweets, but those who are unregistered can only read them...
                        </ng-template>
                    </e-tabitem>
                    <e-tabitem [header]='headerText[1]'>
                        <ng-template #content>
                            Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February
                            4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum,
                            Dustin Moskovitz and Chris Hughes...
                        </ng-template>
                    </e-tabitem>
                    <e-tabitem [header]='headerText[2]'>
                        <ng-template #content>
                            WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription
                            business model...
                        </ng-template>
                    </e-tabitem>
                </e-tabitems>
            </ejs-tab>
    </div>
</div>
import { Component, ViewEncapsulation, Inject } from '@angular/core';

/**
 * Default Tab Component
 */
@Component({
    selector: 'control-content',
    templateUrl: 'default.html',
    styleUrls: ['tab.component.css'],
    encapsulation: ViewEncapsulation.None
})
export class DefaultTabComponent {

    // Mapping Tab items Header property
    public headerText: Object = [{ text: "Twitter", 'iconCss': 'e-twitter' },
        { text: "Facebook", 'iconCss': 'e-facebook' }, { text: "WhatsApp", 'iconCss': 'e-whatsapp' }];

}

Other supported frameworks

Tabs is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Tabs platforms from the links below,


Angular version compatibility

With continuous improvement in Angular versions, the Angular Tabs is kept up to date to make it compatible with the latest version.




90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Syncfusion Angular Tabs provides the following:

  • Render tabs based on the items collection and HTML elements.
  • Scrollable and popup modes make the tabs more responsive.
  • Customize headers with icons and orientation.
  • Animation effects when moving to previous/next items of the Tab.
  • Built-in accessibility with the WAI-ARIA specifications achieved through the attributes. By default, it allows screen readers to interact with Tab headers by using the keyboard.
  • One of the best Angular Tabs in the market that offers a feature-rich UI to interact with the software.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos, documentation, and videos to learn quickly and get started with Angular Tabs.

We do not sell the Angular Tabs separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular Tabs. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts

You can find our Angular Tabs demo here.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular Tabs, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Tabs component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue Tabs component is a simple user interface (tabs UI) for organizing related content and occupying a compact space. The tabs are aligned horizontally, and each tab is associated with its header. One of the tabs must always be selected and visible. The Tabs component has a rich set of features such as animation, orientation, templating, header styles, a close button for each tab, a scrollbar or pop-up when there are many tabs, JSON support, and more.


Scrollable tabs

The Vue Tabs component manages additional tabs efficiently using scrollable tabs when there are a greater number of tabs than can be shown. This simplifies the design and aligns the tabs in a single line. Users can swipe left or right over the tab header area to scroll and make clearly visible the out-of-sight tabs in mobile.


Pop-up mode

The pop-up mode is another type of overflow mode in which a pop-up holds the additional tabs when there are a greater number of tabs than can be shown. You can view the out-of-sight tabs by exploring the pop-up mode.


Nested tabs

Users can nest one tab within another tab to design a complex layout.


Drag and drop

The Vue Tabs control allows users to drag and drop tabs to easily re-prioritize the tab item order. Also, it allows adding tabs dynamically from an external source such as a ListView, TreeView, etc.

Vue Draggable Tabs


Tabs headers (label)

The tab bar has a good visual representation for segregating active tabs and inactive tabs. It has an enormous interaction area for navigation in mobile tab view. The tab headers can be icons, plain text, or both. The position of the icons can also be changed to the left, right, top, and bottom inside tab headers.

Headers placement

A row of tabs can be aligned horizontally on the top or bottom of tab content to make a top-to-bottom or bottom-to-top hierarchy in a tab bar.

Header styles

The Vue Tabs component provides various built-in styles to customize the headers easily.


Remove button on tabs

Users can configure the Remove button for each Vue tab or specific tabs to remove it dynamically.


Animation

Navigate among Vue tabs with nice, built-in animation effects (for example: slide animation) when you click or tap a tab. The tab navigation happens on swiping within the content or tapping a tab header in a mobile tab view.

Vue Tabs with slide animation


Dynamic tabs content

Users can dynamically load the content to the tab pane on activating it. They can also load the content from external pages using the AJAX library.

Adjustable height

Users can adjust a Vue tab’s height automatically according to its content, parent container, or the height of the highest tab panel.


Easy integration

It’s easy to integrate other Vue components as content of the tab’s pane. The Vue Tabs component can also be integrated with other components such as Dialog and Card.


Wizard-like application

The easy-to-use Vue Tabs component design forms wizard-like applications that are used to perform multi step processes.


Themes

The Vue Tabs component has several built-in themes such as Material, Bootstrap, Fabric (Office 365), Tailwind CSS, and High Contrast. They help to design material tabs, bootstrap tabs, etc. The users can customize any one of these built-in themes or create new themes to achieve their own desired look and feel, either by simply overriding SASS variables or using our Theme Studio application.


Accessibility

  • Full support for WAI-ARIA accessibility that helps the Tab component to be accessible by on-screen readers and assistive devices. 
  • Component follows WAI-ARIA Best Practices for implementing keyboard interaction. 
  • UI element visuals such as foreground color, background color, line spacing, text, and images are based on WCG 2.0 standard.

Developer-friendly API

Developers can control the appearance and behavior of the Tabs component using a rich set of APIs, such as those for adding a new tab or removing a tab.


Vue Tabs Code Example

Easily get started with the Vue Tabs using a few simple lines of Vue code example as demonstrated below. Also explore our Vue Tabs Example that shows you how to Tabs in Vue.

  1. <template>
  2. <div id="app">
  3. <ejs-tab id='element'>
  4. <e-tabitems>
  5. <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
  6. <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
  7. <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
  8. </e-tabitems>
  9. </ejs-tab>
  10. </div>
  11. </template>
  12. <script>
  13. import Vue from 'vue';
  14. import { TabPlugin } from '@syncfusion/ej2-vue-navigations';
  15.  
  16. Vue.use(TabPlugin);
  17. export default {
  18. name: 'app',
  19. data: function(){
  20. return {
  21.  
  22. headerText0: { text: 'ASP.NET' },
  23. headerText1: { text: 'ASP.NET MVC' },
  24. headerText2: { text: 'JavaScript' },
  25.  
  26. content0: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
  27. 'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
  28. 'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
  29. 'to Microsoft's Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
  30. 'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
  31. 'ASP.NET components to process SOAP messages.',
  32. content1: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
  33. 'modelviewcontroller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
  34. 'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
  35. 'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.',
  36. content2: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
  37. 'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
  38. 'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
  39. 'both game development and the creation of desktop applications.',
  40. }
  41. }
  42. }
  43. </script>
  44. <style>
  45. @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
  46. @import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
  47. @import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
  48. @import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
  49. </style>

Other supported frameworks

The Tabs component is also available in Blazor, React, Angular, and JavaScript frameworks. Check out the different Tabs platforms from the links below,

90+ VUE UI COMPONENTS

Frequently Asked Questions

  • Provides a simple user interface (UI) to segregate related content in less space.
  • Supports both scrollable and pop-up tabs when there are a greater number of tabs.
  • Supports animation effects for moving previous/next contents of Tab.
  • Customization support for header with icons and orientation.
  • One of the best Vue Tabs in the market that offers feature-rich UI to interact with the software.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Vue Tabs.

We do not sell the Vue Tabs separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Vue Tabs. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Vue Tabs demo, which demonstrates how to render and configure the Tabs.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Vue Tabs, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Tabs component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us